Page MenuHomePhabricator

Release 5.8.1 (1403)
Closed, ResolvedPublic

Description

5.8.1:
Release tag: releases/5.8.1
Release SHA1: 48eadfaaad31dfd9b6fcaf4149c34221511f02a8
App Store Submission Date: May-8-2018
App Store Approval Date: May-9-2018
App Store Release Date: May-10-2018
Regression Testing URL: https://docs.google.com/spreadsheets/d/17RIlLl1Gg95VAmeEB8e7QN3PqUJKkUnoBVaGeh-3NYc/edit#gid=607191639


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Upload new screenshots & app icons to iTunes Connect (if needed)
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Review Regression testing report, triage bugs, and identify any blockers
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Update version number in feedback email link
  • Post on mobile-l

Event Timeline

LGoto created this task.May 3 2018, 8:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 8:39 PM
LGoto updated the task description. (Show Details)
LGoto updated the task description. (Show Details)
LGoto renamed this task from Release 5.8.2 to Release 5.8.1.May 3 2018, 8:42 PM
LGoto updated the task description. (Show Details)
JMinor triaged this task as High priority.May 7 2018, 6:53 PM
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
LGoto updated the task description. (Show Details)May 8 2018, 6:53 PM
LGoto updated the task description. (Show Details)May 10 2018, 10:54 PM
LGoto renamed this task from Release 5.8.1 to Release 5.8.1 (1403).May 10 2018, 10:59 PM
LGoto updated the task description. (Show Details)
LGoto updated the task description. (Show Details)May 10 2018, 11:06 PM
LGoto closed this task as Resolved.May 14 2018, 7:00 PM
LGoto updated the task description. (Show Details)
Vvjjkkii renamed this task from Release 5.8.1 (1403) to zndaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed LGoto as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from zndaaaaaaa to Release 5.8.1 (1403).Jul 2 2018, 6:28 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to LGoto.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.